import { TypePopupProps } from './type';
import './style';
export declare type PopupProps = TypePopupProps;
export * from './type';
export declare const Popup: import("vue/types/vue").ExtendedVue<import("vue").default, {}, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, {
    _listeners: Record<string, any>;
}, {
    [x: string]: any;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, {}, {
    updateData(this: any, propName: string, v: any, ...args: any[]): any;
}, {
    _listeners: Record<string, any>;
}, {
    [x: string]: any;
}>>;
export default Popup;
